<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Value of a: <input type="text" id="valueA"><br>
            Value of b: <input type="text" id="valueB"><br>
            Value of c: <input type="text" id="valueC"><br>
            <input type="button" id="button" value="Calculate Quadratic Equation"><br>
            Value of x: <input type="text" id="result">
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", calculate);
            }
            function calculate() {
                if (document.getElementById("valueA").value !== "" && document.getElementById("valueB").value !== "" && document.getElementById("valueC").value !== "") {
                    var a = parseInt(document.getElementById("valueA").value);
                    var b = parseInt(document.getElementById("valueB").value);
                    var c = parseInt(document.getElementById("valueC").value);
                    result1 = (-1 * b + Math.sqrt(Math.pow(b, 2) - (4 * a * c))) / (2 * a);
                    result2 = (-1 * b - Math.sqrt(Math.pow(b, 2) - (4 * a * c))) / (2 * a);
                    document.getElementById("result").value = result1 + " or " + result2;
                } else {
                    alert("Error - one or more fields are empty");
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
